#include <stdlib.h>
#include <sys/time.h>
#include <qapplication.h>
#include "controls.h"
#include "glcanvas.h"

int main( int argc, char **argv )
{
    QApplication::setColorSpec( QApplication::CustomColor );
    QApplication app(argc,argv);
    
    Controls *myControls;
    myControls=new Controls(0, "Control Window");
    myControls->resize(1024,450);
    
    GLCanvas glCanvas(0, "Canvas", myControls);
//    glCanvas.resize( 480, 480 );
    glCanvas.resize( 640, 480 );
    app.setMainWidget( &glCanvas );

    glCanvas.show();

//    Controls myControls(0, "Control Window");
  
    myControls->show();

    QObject::connect(myControls, SIGNAL(repaintSIGNAL()),&glCanvas, SLOT(repaintSLOT()));

    QObject::connect(myControls, SIGNAL(dieSIGNAL()),&glCanvas, SLOT(close()));
    QObject::connect(myControls, SIGNAL(dieSIGNAL()),myControls, SLOT(close()));

    return app.exec(); 
}
