#ifndef __transform_h
#define __transform_h

typedef double tMatrix[4][4];
typedef double tPoint[4];
typedef double tVector[4];

double DotProduct(tVector v1, tVector v2);
double Length(tVector v1);
void Normalize(tVector *v1);
void CrossProduct(tVector v1, tVector v2, tVector *res);


#endif
