#ifndef GLCANVAS_H
#define GLCANVAS_H

#include <math.h>
#include <qgl.h>
#include "controls.h"

class GLCanvas : public QGLWidget
{
    Q_OBJECT

public:

    GLCanvas( QWidget* parent, const char* name, Controls *myControls);
    ~GLCanvas();

public slots:
    void repaintSLOT();

protected:

    void paintGL();
    void initializeGL();
    void resizeGL( int w, int h );

private:
    Controls *theControls;

};


#endif // GLCANVAS_H
